//
//                      Copyright (c) 1996 by
//                      Advanced Visual Systems Inc.
//                      All Rights Reserved
//
//      This software comprises unpublished confidential information of
//      Advanced Visual Systems Inc. and may not be used, copied or made
//      available to anyone, except in accordance with the license
//      under which it is furnished.
//
//      This file is under Perforce control
//      $Id: //depot/express/fcs992/include/avs/ag/polaxis.hxx#1 $
//

// AgPolarRAxis and AgPolarTAxis classes

//----------------------------------------------------------------------

#ifndef AG_POLAXIS_HXX
#define AG_POLAXIS_HXX

#ifndef AG_PRIM_HXX
#include "prim.hxx"
#endif

#ifndef AG_POLWORLD_HXX
#include "polworld.hxx"
#endif

#ifndef AG_AXIS_HXX
#include "axis.hxx"
#endif

//----------------------------------------------------------------------
class AgPolarRAxis : public AgAxis 
//----------------------------------------------------------------------
{

  public:
    AgPolarRAxis();
    virtual AgPrimitiveType primitiveType();
    virtual void print() {printf("AgPolarRAxis ");};

  protected:
    virtual void _drawThis();
    virtual void _updateThis(int first);
};

//----------------------------------------------------------------------
class AgPolarTAxis : public AgAxis 
//----------------------------------------------------------------------
{

  public:
    AgPolarTAxis();
    virtual AgPrimitiveType primitiveType();
    virtual void print() {printf("AgPolarTAxis ");};

  protected:
    virtual void _drawThis();
    virtual void _updateThis(int first);
};

#endif // DON'T ADD ANYTHING AFTER THIS #endif
